# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KArrowButton Class Reference

Draws a button with an arrow. More...

`#include <karrowbutton.h>`

Inheritance diagram for KArrowButton:

[legend]
Collaboration diagram for KArrowButton:

[legend]
List of all members.

## Public Slots

void | setArrowType (Qt::ArrowType a)

## Public Member Functions

| KArrowButton (QWidget *parent=0, Qt::ArrowType arrow=Qt::UpArrow, const char *name=0)
virtual | ~KArrowButton ()
virtual QSize | sizeHint () const
Qt::ArrowType | arrowType () const
int | arrowTp () const
void | setArrowTp (int tp)

## Protected Member Functions

virtual void | drawButton (QPainter *)
virtual void | virtual_hook (int id, void *data)

## Properties

int | arrowType

## Detailed Description

Draws a button with an arrow.

Draws a button which shows an arrow pointing into a certain direction. The arrow's alignment on the button depends on the direction it's pointing to, e.g. a left arrow is aligned at the left border, a upwards arrow at the top border. This class honors the currently configured KStyle when drawing the arrow.

Author:
  Frerich Raabe

Definition at line 38 of file karrowbutton.h.

## Constructor & Destructor Documentation

KArrowButton::KArrowButton | ( | QWidget * | parent = `0`,
|  | Qt::ArrowType | arrow = `Qt::UpArrow`,
|  | const char * | name = `0`
| ) |

Constructs an arrow button.

Parameters:

  | parent | This button's parent
  | arrow | The direction the arrrow should be pointing in
  | name | An internal name for this widget

Definition at line 30 of file karrowbutton.cpp.

KArrowButton::~KArrowButton | ( |  | ) | `[virtual]`

| Destructor. Definition at line 38 of file karrowbutton.cpp.

## Member Function Documentation

QSize KArrowButton::sizeHint | ( |  | ) | const`[virtual]`

| Reimplemented from QPushButton. Definition at line 43 of file karrowbutton.cpp.

Qt::ArrowType KArrowButton::arrowType | ( |  | ) | const

Returns the arrow type

Since:
  3.4.

void KArrowButton::setArrowType | ( | Qt::ArrowType | a | ) | `[slot]`

Defines in what direction the arrow is pointing to.

Will repaint the button if necessary.

Parameters:

  | a | The direction this arrow should be pointing in

Definition at line 48 of file karrowbutton.cpp.

void KArrowButton::drawButton | ( | QPainter * |  | ) | `[protected, virtual]`

| Reimplemented from QPushButton. Definition at line 60 of file karrowbutton.cpp. References QPushButton::isDown().

The documentation for this class was generated from the following files:

- karrowbutton.h
- karrowbutton.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:20:37 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003